---
title: AudioContextOptions.latencyHint
slug: Web/API/AudioContextOptions/latencyHint
tags:
  - API
  - Audio
  - Audio Context
  - AudioContext
  - AudioContextOptions
  - Context
  - Options
  - Property
  - Reference
  - Web Audio
  - Web Audio API
  - latency
  - latencyHint
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("AudioContextOptions")}} dictionary (used when instantiating an {{domxref("AudioContext")}}) may contain a property named <code><strong>latencyHint</strong></code>, which indicates the <em>preferred</em> maximum latency in seconds for the audio context.</span> The value is specified either as a member of the string enum {{domxref("AudioContextLatencyCategory")}} or a double-precision value.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>audioContextOptions</em>.latencyHint = <em>"interactive"</em>;
<em>audioContextOptions</em>.latencyHint = <em>0.2</em>;

var <em>latencyHint</em> = <em>audioContextOptions</em>.latencyHint;</pre>

<h3 id="Value">Value</h3>

<p>The preferred maximum latency for the <code>AudioContext</code>. There are two ways this value can be specified.</p>

<p>The best way to specify the preferred latency is to use a value form the string enum {{domxref("AudioContextLatencyCategory")}}. In fact, the default value of <code>latencyHint</code> is <code>"interactive"</code> (meaning the browser should try to use the lowest possible and reliable latency it can).</p>

<p>The value can also be specified as a double-precision floating-point value, specifying the preferred maximum latency in seconds. This provides more precise control over the balance between audio latency and device energy usage.</p>

<p>To determine the actual latency of the context after creating it, check the value of the context's {{domxref("AudioContext.baseLatency", "baseLatency")}} property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-audiocontextoptions-latencyhint','AudioContextOptions.latencyHint')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioContextOptions.latencyHint")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("AudioContext")}}: The interface describing an audio context</li>
 <li>{{domxref("AudioContext.AudioContext", "AudioContext()")}}: The audio context constructor, which accepts a {{domxref("AudioContextOptions")}} object as an input.</li>
</ul>
